

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Soup
    (     module GI.Soup.Callbacks                ,
    module GI.Soup.Constants                ,
    module GI.Soup.Enums                    ,
    module GI.Soup.Flags                    ,
    module GI.Soup.Functions                ,
    module GI.Soup.Interfaces               ,
    module GI.Soup.Objects                  ,
    module GI.Soup.Structs                  ,



    module Data.GI.Base                     ,


    ) where

import GI.Soup.Callbacks
import GI.Soup.Constants
import GI.Soup.Enums
import GI.Soup.Flags
import GI.Soup.Functions
import GI.Soup.Interfaces
import GI.Soup.Objects
import GI.Soup.Structs

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Soup.Types
import GI.Soup.Callbacks

import Data.GI.Base

